#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: okular
Summary: A universal document viewer
Version: 4.10.2
Release: %mkrel %{rel}
Epoch: 2
Group: Graphical desktop/KDE
License: GPLv2
URL: http://www.kde.org/applications/graphics/okular/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: pkgconfig(qimageblitz)
BuildRequires: pkgconfig(poppler-qt4) >= 0.8.0
BuildRequires: pkgconfig(libspectre)
BuildRequires: pkgconfig(ddjvuapi)
BuildRequires: pkgconfig(libkactivities)
BuildRequires: chmlib-devel
BuildRequires: ebook-tools-devel
Suggests: okular-handbook
# Branch Patch (100-200)

# Mageia Patch
Patch201: okular-4.9.0-OkularConfig-dont-hardcode-paths.patch

%description
Okular is a universal document viewer based on KPDF for KDE 4.

Okular combines the excellent functionalities of KPDF with the versatility
of supporting different kind of documents, like PDF, Postscript, DjVu, CHM,
and others.

The document format handlers page has a chart describing in more detail
the supported formats and the features supported in each of them.

%files
%_kde_bindir/okular
%_kde_libdir/kde4/okularGenerator_*
%_kde_libdir/kde4/okularpart.so
%_kde_libdir/kde4/kio_msits.so
%_kde_libdir/kde4/imports/org/kde/okular
%_kde_datadir/applications/kde4/okular*
%_kde_appsdir/okular
%_kde_appsdir/kconf_update/okular.upd
%_kde_datadir/config.kcfg/okular.kcfg
%_kde_datadir/config.kcfg/gssettings.kcfg
%_kde_datadir/config.kcfg/okular_core.kcfg
%_kde_datadir/kde4/services/libokularGenerator_*
%_kde_services/okular*
%_kde_services/msits*
%_kde_servicetypes/okularGenerator.desktop
%_kde_iconsdir/*/*/*/okular.*
%_kde_mandir/man1/okular.1.*
#------------------------------------------------------------------------------

%package handbook
Summary: Okular handbook
Conflicts: okular < 2:4.7.1
Requires:  okular >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description handbook
This package provides okular handbook

%files handbook
%doc AUTHORS COPYING TODO VERSION
%doc %_kde_docdir/HTML/en/okular/

#------------------------------------------------------------------------------	

%define okularcore_major 2
%define libokularcore %mklibname okularcore %okularcore_major

%package -n %libokularcore
Summary: Runtime library for okular
Group: System/Libraries

%description -n %libokularcore
Runtime library for Okular.

%files -n %libokularcore
%_kde_libdir/libokularcore.so.%{okularcore_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for kdegraphics
Group: Development/KDE and Qt
Conflicts: kdegraphics4-devel < 2:4.6.90
Requires: %libokularcore = %epoch:%version-%release
Requires: kdelibs4-devel >= 2:%{version}
Requires: pkgconfig(qimageblitz)
Requires: pkgconfig(poppler-qt4) >= 0.8.0
Requires: pkgconfig(libspectre)
Requires: pkgconfig(ddjvuapi)
Requires: chmlib-devel
Requires: ebook-tools-devel

%description devel
This package contains header files needed if you wish to build applications
based on okular.

%files devel
%_kde_includedir/%{name}
%_kde_libdir/cmake/Okular/OkularConfig.cmake
%_kde_libdir/cmake/Okular/OkularConfigVersion.cmake
%_kde_libdir/libokularcore.so

#------------------------------------------------------------------------------

%prep
%setup -q 
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build



%changelog

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407186
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401945
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394363
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sun Jan 13 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 361831
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339413
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334517
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326722
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2
- Fix files list

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320279
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Fix files list
- Add missing BuildRequires

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316164
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301935
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289724
- Update tarball to KDE SC 4.9.1

* Tue Jul 31 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 276668
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0
- Add patch201 from fedora to fix issue when finding okular (& now visible due to the /usr move)

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269719
- new version 4.8.97

* Sat Jun 30 2012 fwang <fwang> 2:4.8.95-2.mga3
+ Revision: 265508
- do not use enable final
- new version 4.8.95

* Wed Jun 13 2012 fwang <fwang> 2:4.8.4-2.mga3
+ Revision: 260182
- rebuild for new poppler

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257226
- new version 4.8.4

* Mon Apr 23 2012 mikala <mikala> 2:4.8.2-2.mga2
+ Revision: 232789
- Add missing requires for handbook

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228446
- new version 4.8.2

* Wed Mar 07 2012 fwang <fwang> 2:4.8.1-1.mga2
+ Revision: 220878
- new version 4.8.1

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198219
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 190978
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-0.mga2
+ Revision: 185925
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182189
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176544
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161414
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151986
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140676
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- use pkgconfig() for buildrequires

* Mon Jul 18 2011 ahmad <ahmad> 2:4.6.95-2.mga2
+ Revision: 125941
- Really convert all BR libpoppler-qt4-devel to pkgconfig(poppler-qt4)

* Mon Jul 18 2011 ahmad <ahmad> 2:4.6.95-1.mga2
+ Revision: 125940
- Change libpoppler-*-devel BR to pkgconfig style

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122513
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Thu Jun 30 2011 fwang <fwang> 2:4.6.90-2.mga2
+ Revision: 116238
- do not obsolete old packages

* Wed Jun 29 2011 mikala <mikala> 2:4.6.90-1.mga2
+ Revision: 115876
- Add an obsoletes on kdegraphics4-devel on the -devel package
- Add conflicts against kdegraphics4-devel for -devel package
- add more requires for -devel package
- imported package okular

